
Redmine - Defect #11136

Unable to logout of Redmine 

2012-06-11 19:57 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.4.1

Description

I tried signing out from Redmine but I was unable to. When I try to sign out from Redmine, it takes me to the Home page.

When looked in production.log I am have the following error:

Processing AccountController#logout (for xx.x.xxx.xxx at 2012-06-11 10:48:41) [GET]

  Parameters: {"controller"=>"account", "action"=>"logout"}

Redirected to http://xxxxxx:8888/

Completed in 0ms (DB: 0) | 302 Found [http://xxxxxx/logout]

 I am using Redmine 1.4.1,Mongrel,MySQL

My Gem List is below:

*** LOCAL GEMS ***

actionmailer (2.3.14)

actionpack (2.3.14)

activerecord (2.3.14)

activeresource (2.3.14)

activesupport (2.3.14)

bundler (1.1.4)

cgi_multipart_eof_fix (2.5.0)

coderay (1.0.6)

fastercsv (1.5.5)

gem_plugin (0.2.3)

i18n (0.4.2)

mongrel (1.1.5 x86-mingw32)

mongrel_service (0.4.0)

mysql (2.8.1 x86-mingw32)

net-ldap (0.3.1)

rack (1.1.3)

rails (2.3.14)

rake (0.9.2.2)

rdiscount (1.6.8)

ruby-openid (2.1.8)

tzinfo (0.3.33)

History

#1 - 2012-06-11 19:59 - Anonymous

Everything seems to be working except signing out

#2 - 2012-06-11 20:02 - Jean-Philippe Lang

Please have a look at #10416.

#3 - 2012-06-11 20:09 - Anonymous

I don't see the "def logout_user" in account_controller.rb

This is the only thing I found under the logout function
 # Log out current user and redirect to welcome page

  def logout

    logout_user

    redirect_to home_url

  end

#4 - 2012-06-12 18:55 - Anonymous

We are using 1.4.3

#5 - 2012-06-12 20:32 - Anonymous

In Redmine_1.4.3, we have to change application_controller.rb but not account_controller.rb(per #10416)

#6 - 2012-06-12 21:18 - Anonymous

Though I was able to sign out I am getting the following in the production.log

Processing AccountController#logout (for server1 at 2012-06-13 00:44:38) [GET]

  Parameters: {"action"=>"logout", "controller"=>"account"}

Redirected to http://server:8888/

Completed in 16ms (DB: 0) | 302 Found [http://server/logout]

Processing WelcomeController#index (for server1 at 2012-06-13 00:44:57) [GET]

  Parameters: {"action"=>"index", "controller"=>"welcome"}

Redirected to http://server:8888/login?back_url=http%3A%2F%2Finchn-mdr01%3A8888%2F

Filter chain halted as [:check_if_login_required] rendered_or_redirected.

Completed in 16ms (DB: 0) | 302 Found [http://server/]

Processing AccountController#login (for server1 at 2012-06-13 00:44:57) [GET]

  Parameters: {"action"=>"login", "controller"=>"account", "back_url"=>"http://server:8888/"}

Rendering template within layouts/base

Rendering account/login

Completed in 16ms (View: 16, DB: 0) | 200 OK [http://server/login?back_url=http%3A%2F%2Finchn-mdr01%3A8888%2F]

#7 - 2012-06-12 21:19 - Anonymous

Why am I getting "302 Found: and after that "200 OK" messages in the log?

#8 - 2019-06-08 05:10 - Go MAEDA

- Category set to Accounts / authentication

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Cant reproduce
